import isArray_default from "./isArray.js";
import _isIterateeCall_default from "./_isIterateeCall.js";
import _baseIteratee_default from "./_baseIteratee.js";
import _arrayEvery_default from "./_arrayEvery.js";
import _baseEvery_default from "./_baseEvery.js";
function every(a, o, s) {
	var c = isArray_default(a) ? _arrayEvery_default : _baseEvery_default;
	return s && _isIterateeCall_default(a, o, s) && (o = void 0), c(a, _baseIteratee_default(o, 3));
}
var every_default = every;
export { every_default as default };
